Bug 407041 - Review Request: pcapdiff - Compares packet captures, detects forged, dropped or mangled packets
Review Request: pcapdiff - Compares packet captures, detects forged, dropped ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 407031
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-30 19:05 EST by Gwyn Ciesla
Modified: 2008-01-16 10:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-28 18:57:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2007-11-30 19:05:43 EST
SPEC URL : http://zanoni/fedora/pcapdiff/pcapdiff.spec
SRPM URL : http://zanoni/fedora/pcapdiff/pcapdiff-0.1-1.fc8.src.rpm
Decription: Pcapdiff is a tool developed by the EFF to compare two packet
captures and
identify potentially forged, dropped, or mangled packets. Two technically-
inclined friends can set up packet captures (e.g. tcpdump or Wireshark) on
their own computers and produce network traffic between their two computers 
over the Internet. Later, they can run pcapdiff on the two packet capture 
files to identify suspicious packets for further investigation. See 
Detecting packet injection: a guide to observing packet spoofing by ISPs 
and EFF's Test Your ISP Project for more background.
Comment 1 Parag AN(पराग) 2007-11-30 21:49:10 EST
Unable to download SRPM
Comment 3 Gwyn Ciesla 2007-12-02 18:40:17 EST
Sorry, copy/paste error. :)
Comment 5 Parag AN(पराग) 2007-12-07 03:43:28 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
2f7f122969c7894a6aff3e72c886f63d  pcapdiff-0.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.
APPROVED.
         
Comment 6 Gwyn Ciesla 2007-12-07 07:50:11 EST
Many thanks!

New Package CVS Request
=======================
Package Name: pcapdiff
Short Description: Compares packet captures, detects forged, dropped or mangled
packets
Owners: limb 
Branches: F-7 F-8 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2007-12-07 12:01:07 EST
cvs done.
Comment 8 Parag AN(पराग) 2007-12-15 04:36:06 EST
Is this built for all requested branches?
Comment 9 Gwyn Ciesla 2007-12-15 12:16:32 EST
Fedora yes, EPEL, building now.
Comment 10 Gwyn Ciesla 2007-12-28 18:57:27 EST
Imported and built some time ago. . .
Comment 11 Parag AN(पराग) 2008-01-16 10:18:38 EST
Setting Correct Resolution for this review

Note You need to log in before you can comment on or make changes to this bug.